mconv_gets(3m17n)

NAME
mconv_gets - Read a line using a code converter.

SYNOPSIS
MText* mconv_gets (MConverter * converter, MText * mt)

DESCRIPTION
Read a line using a code converter.

The mconv_gets() function reads one line from the buffer area or the stream that is currently bound to code converter converter. The decoder of converter is used for decoding. The decoded character sequence is appended at the end of M-text mt. The final newline character in the original byte sequence is not appended. The internal status of converter is updated appropriately.

RETURN VALUE

    If the operation was successful, mconv_gets() returns the modified mt. If it encounters EOF without reading a single character, it returns mt without changing it. If an error is detected, it returns NULL and assigns an error code to merror_code.

ERRORS

    MERROR_CODING

SEE ALSO

    mconv_getc(), mconv_ungetc(), mconv_putc()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.